oracle.xml.xsql

## Class XSQLStylesheetProcessor

- java.lang.Object
- - oracle.xml.xsql.XSQLStylesheetProcessor

    public final class XSQLStylesheetProcessor
    extends java.lang.Object

XSLT Stylesheet Processing Engine

### Field Summary

Fields
`static char` `APOS`
`static char` `QUOTE`

### Constructor Summary

Constructors
Constructor and Description
`XSQLStylesheetProcessor()`

### Method Summary

All Methods Static Methods Concrete Methods
`static Document` `processToDocument(Document xml, java.lang.String xslURI, XSQLPageRequest env)`
`static void` `processToWriter(Document xml, java.lang.String xslURI, XSQLPageRequest env)`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### QUOTE

    public static final char QUOTE

See Also:
  Constant Field Values

#### APOS

    public static final char APOS

See Also:
  Constant Field Values

### Constructor Detail

#### XSQLStylesheetProcessor

    public XSQLStylesheetProcessor()

### Method Detail

#### processToDocument

    public static Document processToDocument(Document xml,
                                             java.lang.String xslURI,
                                             XSQLPageRequest env)
                                      throws java.lang.Exception,
                                             SAXParseException,
                                             XSLException,
                                             java.io.FileNotFoundException

Throws:
  `java.lang.Exception`
  `SAXParseException`
  `XSLException`
  `java.io.FileNotFoundException`

#### processToWriter

    public static void processToWriter(Document xml,
                                       java.lang.String xslURI,
                                       XSQLPageRequest env)
                                throws java.lang.Exception,
                                       SAXParseException,
                                       XSLException,
                                       java.io.FileNotFoundException

Throws:
  `java.lang.Exception`
  `SAXParseException`
  `XSLException`
  `java.io.FileNotFoundException`

Copyright © 2003, 2018, Oracle and/or its affiliates. All rights reserved.